from __future__ import annotations

from typing import List

from pydantic import BaseModel
from .common import PostObject, ObjectMetadata


class ToolModule(BaseModel):
    content: str


class PostToolModule(PostObject):
    data: ToolModule


class ToolModuleMetadata(ObjectMetadata):
    tools: List[str]


class ToolMetadata(BaseModel):

    tool_name: str
    scope: str
    module_name: str
    module_version: str
