from typing import Dict
import datetime as dt
import pytz
from candela_kit.ignite import intent as ci
from lusid.models import ResourceId

id_types = ['ClientInternal', 'EdiKey', 'Figi', 'QuotePermId', 'CompositeFigi', 'Cusip', 'Isin', 'RIC', 'Sedol',
            'ShareClassFigi', 'Ticker', 'Wertpapier']


def to_datetime(x: str | None) -> dt.datetime | None:
    if x is None:
        return None

    return dt.datetime.fromisoformat(x).astimezone(pytz.utc)


def to_resource_id(x: Dict | None) -> ResourceId | None:
    if x is None:
        return None
    return ResourceId(**x)


resource_id = ci.obj(
    scope=ci.str(),
    code=ci.str()
)
